Package csb :: Package bio :: Package io :: Module fasta :: Class PIROutputBuilder

[frames] | no frames]

# Class PIROutputBuilder

source code

       object --+
                |
    OutputBuilder --+
                    |
                   PIROutputBuilder

Formats sequences as PIR FASTA strings, recognized by Modeller. See OutputBuilder for general alignment documentation.

Nested Classes
Inherited from `OutputBuilder`: `__metaclass__`

Instance Methods

add_alignment(self, alignment) Format and append an alignment to the product. | source code

add_sequence(self, sequence) Format and append a new sequence to the product. | source code

add_target(self, sequence) | source code

add_template(self, sequence) | source code

Inherited from `OutputBuilder`: `__init__`, `add_comment`, `add_many`, `add_separator`, `write`, `writeline` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Static Methods
Inherited from `OutputBuilder`: `create`, `register`

Class Variables
| FORMAT = `PIR`
| __abstractmethods__ = ``frozenset([``])``

Properties
Inherited from `OutputBuilder`: `headers`, `output` Inherited from `object`: `__class__`

Method Details

### add_alignment(self, alignment)

source code

Format and append an alignment to the product.

Overrides: OutputBuilder.add_alignment
  (inherited documentation)

### add_sequence(self, sequence)

source code

Format and append a new sequence to the product.

Overrides: OutputBuilder.add_sequence
  (inherited documentation)